Skip to main content
POST
New Payment

Endpoint Overview

POST https://api.unibee.dev/merchant/payment/new New Payment

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
gatewayId
integer<int64>
required

GatewayId

cancelUrl
string<string>

CancelUrl

countryCode
string<string>

CountryCode

currency
string<string>

Currency, either Currency&TotalAmount or PlanId needed

description
string<string>

Description

email
string<string>

Email, either ExternalUserId&Email or UserId needed

externalPaymentId
string<string>

ExternalPaymentId should unique for payment

externalUserId
string<string>

ExternalUserId, unique, either ExternalUserId&Email or UserId needed

gasPayer
string<string>

who pay the gas, merchant|user

gatewayPaymentType
string<string>

GatewayPaymentType

items
object[]

Items

metadata
object

Metadata,Map

name
string<string>

Name

paymentType
string<string>

Payment Type

paymentUIMode
string<string>

The checkout UI Mode, hosted|embedded|custom, default hosted

planId
integer<int64>

PlanId, either TotalAmount&Currency or PlanId needed

quantity
integer<int64>

Quantity,used when planId not null, Default 1

redirectUrl
string<string>

Redirect Url

sendInvoice
boolean<bool>
default:false

Whether sen invoice email to customer or not,default false

totalAmount
integer<int64>

Total PaymentAmount, Cent, either TotalAmount&Currency or PlanId needed

userId
integer<int64>

UserId, either ExternalUserId&Email or UserId needed

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>